import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class FilLeserTask implements Runnable {

    String filN;
    FilMonitor fm;

    FilLeserTask(String filN, FilMonitor fm){
        this.filN = filN;
        this.fm = fm;
    }


    @Override
    public void run() {

        try {
            Scanner sc = new Scanner(new File(filN));
            
            String linje = "";

            while (sc.hasNextLine()){
                try {
                    
                    linje = sc.nextLine();
                    
                    
                    String[] biter = linje.split(":", 2);
                    
                    int idx = Integer.parseInt(biter[0]);
                    
                    fm.leggTil(idx, biter[1]);
                    
                } catch (NumberFormatException e) {
                    System.out.println("oof");
                } 
                


            }
            sc.close();
            
            
            fm.countdown();


        } catch (FileNotFoundException e) {
            System.out.println("filen finnes ikke");
        }
    }
    
}
