import java.util.HashMap;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.locks.ReentrantLock;

public class FilMonitor {
    
    private HashMap<Integer, String> tekster = new HashMap<>();


    ReentrantLock lock = new ReentrantLock();

    CountDownLatch cdl;


    FilMonitor(int antTh){
        cdl = new CountDownLatch(antTh);
    }



    public void leggTil(int idx, String tekst){
        lock.lock();
        try {
            tekster.put(idx, tekst);
        } finally {
            lock.unlock();
        }
    }


    public void countdown(){
        cdl.countDown();
    }


    public void vent() throws InterruptedException{
        cdl.await();
    }


    public String hentUt(int idx){
        lock.lock();
        try {
            if (tekster.containsKey(idx)) {
                return tekster.get(idx);
            }

            return null;
        } finally {
            lock.unlock();
        }
    }

    


}
